Subject: Re: [PATCH] net:cpsw: Pass unhandled ioctl's on to generic phy ioctl

From: Richard Cochran <[email-masked]>
Date: Wed, 5 Feb 2014 12:26:13 +0100

On Wed, Feb 05, 2014 at 10:23:40AM +0000, Ben Hutchings wrote:
> 
> I would think that it should be a *run-time* option, as I don't like
> forcing people to rebuild their kernel.  But perhaps this is esoteric
> enough that the people who care will be doing that anyway.

For PHY time stamping, you need CONFIG_NETWORK_PHY_TIMESTAMPING which
adds extra checks into the hot path. I don't think anyone would enable
this by default. People using PHY time stamping are definitely
recompiling for their special use case.

Thanks,
Richard